Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.shared.services.api
Interface JbpmServicesPersistenceManager

All Known Implementing Classes:
  JbpmServicesPersistenceManagerImpl

    public interface JbpmServicesPersistenceManager

Method Summary
`HashMap<String,Object>` | `addParametersToMap(Object... parameterValues)`
`boolean` | `beginTransaction()`
`void` | `dispose()`
`void` | `endTransaction(boolean txOwner)`
`int` | `executeUpdateString(String updateString)`
`
`<T> T`
` | `find(Class<T> entityClass, Object primaryKey)`
`
`<T> T`
` | `merge(T entity)`
`void` | `persist(Object entity)`
`Object` | `queryAndLockStringWithParametersInTransaction(String queryName, Map<String,Object> params, boolean singleResult)`
`Object` | `queryAndLockWithParametersInTransaction(String queryName, Map<String,Object> params, boolean singleResult)`
`Object` | `queryInTransaction(String queryName)`
`Object` | `queryStringInTransaction(String queryString)`
`Object` | `queryStringWithParametersInTransaction(String queryString, Map<String,Object> params)`
`Object` | `queryWithParametersInTransaction(String queryName, Map<String,Object> params)` It is strongly suggested that you only use this method within a transaction!!
`void` | `remove(Object entity)`
`void` | `rollBackTransaction(boolean txOwner)`

Method Detail

### queryWithParametersInTransaction

    Object queryWithParametersInTransaction(String queryName,
                                            Map<String,Object> params)

  It is strongly suggested that you only use this method within a transaction!! PostgreSQL and DB2 are 2 databases which, depending on your situation, will probably require this.

  Parameters:
    `queryString` - The JPQL query string to execute.
  Returns:
    The result of the query.

### queryAndLockWithParametersInTransaction

    Object queryAndLockWithParametersInTransaction(String queryName,
                                                   Map<String,Object> params,
                                                   boolean singleResult)

### queryInTransaction

    Object queryInTransaction(String queryName)

### queryStringInTransaction

    Object queryStringInTransaction(String queryString)

### queryStringWithParametersInTransaction

    Object queryStringWithParametersInTransaction(String queryString,
                                                  Map<String,Object> params)

### queryAndLockStringWithParametersInTransaction

    Object queryAndLockStringWithParametersInTransaction(String queryName,
                                                         Map<String,Object> params,
                                                         boolean singleResult)

### executeUpdateString

    int executeUpdateString(String updateString)

### addParametersToMap

    HashMap<String,Object> addParametersToMap(Object... parameterValues)

### remove

    void remove(Object entity)

### merge

    <T> T merge(T entity)

### dispose

    void dispose()

### find

    <T> T find(Class<T> entityClass,
               Object primaryKey)

### persist

    void persist(Object entity)

### beginTransaction

    boolean beginTransaction()

### endTransaction

    void endTransaction(boolean txOwner)

### rollBackTransaction

    void rollBackTransaction(boolean txOwner)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.